Gets an SplFileInfo object for the file

- « SplFileInfo::getExtension

- SplFileInfo::getFilename »

- PHP Manual
- SplFileInfo
- Gets an SplFileInfo object for the file

# SplFileInfo::getFileInfo

(PHP 5 >= 5.1.2, PHP 7, PHP 8)

SplFileInfo::getFileInfo — Gets an SplFileInfo object for the file

### Description

public SplFileInfo::getFileInfo(?string `$class` = `null`): SplFileInfo

This method gets an SplFileInfo object for the referenced file.

### Parameters

`class`

  Name of an SplFileInfo derived class to use.

### Return Values

An SplFileInfo object created for the file.

### Changelog

Version | Description
--- | ---
8.0.0 | `class` is now nullable.

### See Also

- SplFileInfo::setInfoClass() - Sets the class used with SplFileInfo::getFileInfo and SplFileInfo::getPathInfo